Skip to Content
SeyloDocs
API referenceDatabases

Get a database

GET
/api/v1/databases.get

Returns a database's engine, node, internal address, exposure and web UI state, without passwords.

Needs services.view on the service (a grant on its project covers it). Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Query Parameters

serviceId*string

Panel-issued id.

Match^[a-z0-9]{16}$

Response Body

Success.

application/json
  1. response
serviceId*string

Panel-issued id.

Match^[a-z0-9]{16}$
projectId*string

Panel-issued id.

Match^[a-z0-9]{16}$
name*string

DNS-safe; the service's host name on the project network. Unique in its project.

Match^[a-z0-9]([a-z0-9-]*[a-z0-9])?$
Length1 <= length <= 40
engine*string|string|string|string|string
version*string
nodeId*string

Panel-issued id.

Match^[a-z0-9]{16}$
nodeName*string
internal*
exposure*
webUi*
createdAt*string
Formatdate-time
Example Request
curl -X GET 'https://example.com/api/v1/databases.get?serviceId=string'
Example Response
{  "serviceId": "string",  "projectId": "string",  "name": "string",  "engine": "postgres",  "version": "string",  "nodeId": "string",  "nodeName": "string",  "internal": {    "host": "string",    "port": 1,    "database": "string",    "user": "string"  },  "exposure": {    "enabled": true,    "host": "string",    "port": 1024,    "user": "string",    "allowedCidrs": [      "string"    ],    "tlsHostname": "string",    "certificate": "none",    "certificateIssuer": "string",    "certificateExpiresAt": "2019-08-24T14:15:22Z"  },  "webUi": {    "tool": "string",    "idleMinutes": 1,    "running": true,    "lastActiveAt": "2019-08-24T14:15:22Z"  },  "createdAt": "2019-08-24T14:15:22Z"}